Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.peermanager
Class SpeedCalculator

    java.lang.Object
      net.i2p.router.peermanager.Calculator
          net.i2p.router.peermanager.SpeedCalculator

    public class SpeedCalculator

extends Calculator

Quantify how fast the peer is - how fast they respond to our requests, how fast they pass messages on, etc. This should be affected both by their bandwidth/latency, as well as their load. IMPORTANT - This code has been through many iterations, and some versions were quite complex. If you are considering changes, review the change control history, and see the previous versions in change control to get 400+ lines of old code.

Constructor Summary
`SpeedCalculator(RouterContext context)`

Method Summary
`double` | `calc(PeerProfile profile)` Evaluate the profile according to the current metric

Methods inherited from class net.i2p.router.peermanager.Calculator
`calcBoolean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpeedCalculator

    public SpeedCalculator(RouterContext context)

Method Detail

### calc

    public double calc(PeerProfile profile)

  Description copied from class: `Calculator`
  Evaluate the profile according to the current metric

  Overrides:
    `calc` in class `Calculator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD